:root {
    --text-xs: 0.8125rem;
    --text-font-style: normal;
    --text-font-weight: 400;
    --text-base: 1rem;
    --text-line-height: 1.3;

    --transform-origin-start: left;
    --transform-origin-end: right;
}

@media screen and (min-width: 700px) {
    :root {
        --text-xs: 0.875rem;
    }
}

/* 
*
* AnnouncementBar Widget
*
*/
.tap-area {
    --tap-area-size: 2.25rem;
    position: relative;
}

.tap-area:before {
    content: "";
    width: var(--tap-area-size);
    height: var(--tap-area-size);
    top: calc(50% - var(--tap-area-size) / 2);
    left: calc(50% - var(--tap-area-size) / 2);
    position: absolute;
}

.announcement-bar {
    --container-gutter: 1.25rem;
    text-align: center;
    padding: .7rem var(--container-gutter);
    justify-content: safe center;
    align-items: center;
    column-gap: .75rem;
    padding-block: .5rem;
    display: flex;
    color: #fff;

    font-style: var(--text-font-style);
    font-weight: var(--text-font-weight);
    font-size: var(--text-base);
    line-height: var(--text-line-height);
}

@media screen and (min-width: 700px) {
    .announcement-bar {
        column-gap: 2.5rem;
    }
}

.announcement-bar .carousel-prev-button,
.announcement-bar .carousel-next-button {
    color: #fff;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    height: 20.8px;
}

.announcement-bar__message-list {
    flex-grow: 1;
    place-items: center;
    max-width: 35rem;
    display: grid;
    grid-template-rows: 19px;
}

.announcement-bar__message-list>* {
    grid-area: 1 / -1;
    transition: all 500ms;
}

.announcement-bar .prose {
    overflow-wrap: anywhere;
    width: 100%;
    display: block;
}

.announcement-bar .prose a {
    font-weight: inherit;
}

.announcement-bar .prose-justify-center {
    text-align: center;
}

.announcement-bar__message-list> :not(.is-selected) {
    visibility: hidden;
    opacity: 0;
    transform: translateY(10px);
}

.prose>:last-child,
.prose>div:last-child>:last-child {
    margin-block-end: 0;
}

.prose>:first-child,
.prose>div:first-child>:first-child,
.prose>style:first-child+*,
.prose>meta:first-child+* {
    margin-block-start: 0;
}

.text-xs {
    font-size: var(--text-xs);
}

.announcement-bar a {
    color: inherit;
}

.announcement-bar p,
.announcement-bar h1,
.announcement-bar h2,
.announcement-bar h3,
.announcement-bar h4,
.announcement-bar h5,
.announcement-bar h6,
.announcement-bar dl,
.announcement-bar dd,
.announcement-bar blockquote {
    margin: 0;
}

.prose a:not(.display-xl, .display-l, .display-m, .h1, .h2, .h3, .h4, .h5, .h6, .h7, .button) {
    background: linear-gradient(to right, currentColor, currentColor) 0 100% / 100% 1px no-repeat;
    background-position-x: var(--transform-origin-start);
    text-decoration: none;
    transition: color .3s ease-in-out, background-size .3s ease-in-out;
    position: relative;
}

@media screen and (pointer: fine) {
    :is(.link, .prose a:not(.display-xl, .display-l, .display-m, .h1, .h2, .h3, .h4, .h5, .h6, .h7, .button)):not([aria-current=true]):hover {
        background-size: 0% 1px;
        background-position-x: var(--transform-origin-end);
    }
}

/* 
*
* End AnnouncementBar Widget
*
*/
/* 
*
* Mega-menu Widget
*
*/
/* TOGGLER */
.header__hamburger {
    --header-hamburger-row-gap: 6px;
    --icon-stroke-width: 1px;
    row-gap: var(--header-hamburger-row-gap);
    display: grid;
}

.header__hamburger>* {
    width: 1rem;
    height: var(--icon-stroke-width, 1px);
    background: currentcolor;
    transition: transform 0.2s, opacity 0.2s;
}

.e-n-menu-toggle .uppercase {
    text-transform: uppercase;
}

.e-n-menu-toggle[aria-expanded=true] .header__hamburger>:first-child {
    transform: translateY(calc(var(--icon-stroke-width, 1px) + var(--header-hamburger-row-gap))) rotate(45deg);
}

.e-n-menu-toggle[aria-expanded=true] .header__hamburger>:nth-child(2) {
    opacity: 0;
}

.e-n-menu-toggle[aria-expanded=true] .header__hamburger>:last-child {
    transform: translateY(calc(-1 * (var(--icon-stroke-width, 1px) + var(--header-hamburger-row-gap)))) rotate(-45deg);
}

.elementor-widget-n-menu .e-n-menu-toggle {
    align-items: center;
    gap: 0.75em;
    font-size: 16px;
    font-weight: normal;
    line-height: 1.3;
    color: var(--n-menu-toggle-icon-color);
    border-width: 0;
}

.elementor-widget-n-menu .e-n-menu-toggle:focus {
    color: inherit;
}

.elementor-widget-n-menu .e-n-menu-toggle:hover {
    color: var(--n-menu-toggle-icon-color-hover);
}

.elementor-widget-n-menu .e-n-menu-toggle[aria-expanded="true"] {
    color: var(--n-menu-toggle-icon-color-active);
}

@media screen and (max-width: 999px) {
    .elementor-widget-n-menu .e-n-menu-toggle span.uppercase {
        display: none;
    }

    .elementor-widget-n-menu .e-n-menu-toggle {
        padding-top: 3px;
    }
}

/* end TOGGLER */
body {
    --text-color: 36 36 36;
    --page-overlay: 0 0 0 / 0.4;
    --dialog-backdrop-blur: 12px;
    --announcement-bar-is-sticky: 0;
    --announcement-bar-height: 36.80px;
    /* should be calculated in js */
    --header-is-sticky: 1;
    --header-height: 55.25px;
    /* should be calculated in js */
    --sticky-area-height: calc(var(--announcement-bar-is-sticky, 0) * var(--announcement-bar-height, 0px) + var(--header-is-sticky, 0) * var(--header-height, 0px));
}

body header[data-elementor-type="header"]::before {
    content: "";
    background: rgb(var(--page-overlay));
    -webkit-backdrop-filter: blur(var(--dialog-backdrop-blur));
    backdrop-filter: blur(var(--dialog-backdrop-blur));
    z-index: 1;
    pointer-events: auto;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    inset-block-start: var(--sticky-area-height);
    width: 100%;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    transition: all .3s;
}

body header[data-elementor-type="header"]>* {
    z-index: 1;
}

body.menu-opened {
    overflow: hidden;
}

body.menu-opened header[data-elementor-type="header"]::before {
    opacity: 1;
    visibility: visible;
}

/* SIDE PANEL */
.bodyh-menu-grid {
    z-index: 3;
}

.elementor-widget-n-menu {
    --text-heading-size-factor: 0.9;
    --transform-logical-flip: 1;
    --max-width: min(480px, 100%);
    --depth-1: 0;
    --depth-2: 0;
    /*--menu-offset-top: 92.19px;*/
    --menu-offset-top: calc(var(--announcement-bar-height, 36.80px) + var(--header-height, 55.25px));
    --side-padding: 1.5rem;
    --menu-footer: 53px;
    /* should be calculated in js */
    position: initial;
}

/*@media (max-width: 767.98px) {*/
/*    .elementor-widget-n-menu {*/
/*        --menu-offset-top: 101.27px;*/
/*    }*/
/*}*/

.elementor-widget-n-menu .e-n-menu {
    position: initial;
}

@supports (height: 100dvh) {

    .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper,
    .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content,
    .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content {
        height: calc(100dvh - var(--menu-offset-top, 0px));
    }

    /*.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-wrapper .e-n-menu-heading {*/
    /*    height: calc(100dvh - var(--menu-offset-top, 0px));*/
    /*}*/
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper {
    transform: translateX(calc(var(--transform-logical-flip) * -100%));
    position: absolute;
}

/* .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle + .e-n-menu-wrapper,
.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle + .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content,
.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle + .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content { */
.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper {
    width: 100%;
    max-width: var(--max-width);
    height: calc(100vh - var(--menu-offset-top, 0px));
    border-block-start: 1px solid rgb(var(--border-color));
    background: inherit;
    color: inherit;
    grid-auto-rows: minmax(0, 1fr);
    display: grid;
    position: absolute;
    inset-block-start: 100%;
    inset-inline-start: 0;
    overflow: auto;
    transition: all .3s;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-wrapper {
    --stretch-left: 0 !important;
    --n-menu-dropdown-content-box-height: auto !important;
    height: calc(100vh - var(--menu-offset-top, 0px));
    overflow: auto;
    max-width: var(--max-width);
}

.elementor-widget-n-menu .e-n-menu>.e-n-menu-wrapper>.e-n-menu-heading>.e-n-menu-item>.e-n-menu-title

/*, .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle + .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content, */
/* .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle + .e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content  */
    {
    transform: translateX(calc(var(--base-position) - 100% * var(--depth-1) - var(--side-padding, 1.5rem) * 2) * var(--depth-1));
    transition: all .3s;
    background-color: transparent;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper>.e-n-menu-heading {
    /* depth 0 */
    --base-position: 0%;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content {
    /* depth 1 */
    --base-position: 0%;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-heading .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content {
    /* depth 1 */
    --base-position: 0%;
}

.elementor-widget-n-menu .e-n-menu>.e-n-menu-wrapper>.e-n-menu-heading:has(.e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content.e-active) {
    --depth-1: 1;
}
.elementor-widget-n-menu .elementor-widget-n-menu {
    --depth-1: 1;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle[aria-expanded=true]+.e-n-menu-wrapper {
    transform: translateX(0px);
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-heading {
    visibility: hidden;
    flex-direction: column;
    /* grid-area: 1 / -1; */
    /*height: fit-content;*/
    /*min-height: calc(100vh - var(--menu-offset-top, 0px) - var(--menu-footer, 0px));*/
    height: calc(100vh - var(--menu-offset-top, 0px) - var(--menu-footer, 0px) * (1 - var(--depth-1)));
    display: none;
    max-width: 100%;
    border-top: 1px solid #e3d9d4;
    position: relative;
    transition: all .3s;
    flex-wrap: nowrap;
    /*overflow: hidden;*/
    overflow: auto;
    padding: 2.2rem var(--side-padding, 1.5rem) 2.2rem var(--side-padding, 1.5rem);
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle+.e-n-menu-wrapper .e-n-menu-heading .e-n-menu-heading {
    border: none;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-toggle[aria-expanded=true]+.e-n-menu-wrapper .e-n-menu-heading {
    visibility: visible;
    display: flex;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item.e-n-menu-item-content .e-n-menu-content>.e-con {
    display: var(--display);
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .elementor-widget-button:has(+ .elementor-widget-n-menu .e-n-menu-content.e-active) {
    transform: translateX(-100%);
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .elementor-widget-button {
    position: relative;
    z-index: 2147483641;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item .e-n-menu-wrapper .e-n-menu-content.e-active {
    top: 0;
}


.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item {
    width: 100%;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-big .e-n-menu-title-container,
.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-big .e-n-menu-title-container .e-n-menu-title-text {
    cursor: pointer;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-big:hover~.e-n-menu-item-big .e-n-menu-title-text,
.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-big:has(~ .e-n-menu-item-big:hover) .e-n-menu-title-text {
    color: rgb(var(--text-color) / .6);
}


.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-big+.e-n-menu-item-small::before {
    content: '';
    display: block;
    width: 100%;
    border-top: 1px solid #e3d9d4;
    margin-top: 20px;
    /* should be 32px, but there is a gap of 12px */
    margin-bottom: 32px;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-small a.e-n-menu-title-container {
    background: linear-gradient(to right, currentColor, currentColor) 0 100% / 0 1px no-repeat;
    background-position-x: var(--transform-origin-end);
    text-decoration: none;
    transition: background-size .2s ease-in-out;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-small a.e-n-menu-title-container:hover {
    background-size: 100% 1px;
    background-position-x: var(--transform-origin-start);
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-button a.e-n-menu-title-container {
    background: rgb(var(--text-color) / .08);
    border-radius: 20px;
    align-items: center;
    column-gap: .625rem;
    padding: .375rem .625rem;
    display: inline-flex;
    margin-bottom: 0.75rem;
}
.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-button a.e-n-menu-title-container .e-n-menu-title-text {
    font-size: 14px !important;
    font-weight: 400 !important;
    line-height: normal !important;
    font-family: 'Roboto', sans-serif !important;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-button a.e-n-menu-title-container::before {
    content: '';
    display: block;
    width: 10px;
    height: 11px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' aria-hidden='true' focusable='false' width='10' class='icon icon-back-arrow icon--direction-aware' part='icon' fill='none' viewBox='0 0 10 11'%3E%3Cpath stroke='currentColor' d='M5.5 1 1 5.5m0 0L5.5 10M1 5.5h9'%3E%3C/path%3E%3C/svg%3E");
    background-position: center center;
    background-size: contain;
    transition: transform .2s;
}

@media screen and (min-width: 700px) {
    .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-button a .e-n-menu-title-text {
        font-size: 16px !important;
    }
}

@media screen and (pointer: fine) {
    .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-button a:hover::before {
        animation: .5s backButtonBounce;
    }
}

@keyframes backButtonBounce {
    0% {
        transform: translate(0);
    }
    50% {
        transform: translate(4px);
    }
    100% {
        transform: translate(0);
    }
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item .e-n-menu-content {
    width: 100%;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item .e-n-menu-content .elementor-social-icons-wrapper.elementor-grid {
    width: 100%;
    justify-content: space-between;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-fixed {
    /*order: 1;*/
    /*margin-top: auto;*/
    /*margin-left: calc(0px - var(--side-padding, 1.5rem));*/
    /*margin-right: calc(0px - var(--side-padding, 1.5rem));*/
    /*margin-bottom: -2.2rem;*/
    /*width: calc(100% + var(--side-padding, 1.5rem) * 2);*/
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-footer {
    position: absolute;
    z-index: 1;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-content .e-n-menu-content {
    z-index: 0;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item-content hr {
    border: none;
    height: 1px;
    color: #e3d9d4;
    background-color: #e3d9d4;
}

.elementor-widget-n-menu .elementor-widget-social-icons .elementor-social-icon:hover {
    color: inherit;
    opacity: 1;
}

.elementor-widget-n-menu .elementor-widget-social-icons .elementor-grid-item,
.elementor-widget-n-menu .elementor-widget-social-icons .elementor-widget-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.elementor-widget-n-menu .elementor-widget-social-icons .elementor-social-icon {
    height: auto;
    width: auto;
    line-height: 1;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper {
    max-width: 100%;
    position: relative;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content {
    position: absolute;
    transform: translateX(100%);
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    transition: transform .3s ease-in-out;
    visibility: hidden;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content.e-active {
    transform: translateX(0);
    visibility: visible;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item:not(.e-n-menu-item-content) .e-n-menu-content:not(.e-active) {
    transition: transform .3s ease-in-out, visibility 0s linear .3s;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-item:not(.e-n-menu-item-content) [id^="e-n-menu-content-"] {
    height: 100%;
    display: var(--display) !important;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-wrapper {
    --n-menu-wrapper-display: flex;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-wrapper .e-n-menu-wrapper .e-n-menu-wrapper {
    position: relative;
    top: 0;
}

.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-layout-vertical>.elementor-widget-container>.e-n-menu,
.elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-layout-vertical>.elementor-widget-container>.e-n-menu>.e-n-menu-wrapper {
    transform: none !important;
    opacity: 1 !important;
    top: 100%;
}

.elementor-widget-n-menu .e-n-menu-title .e-n-menu-dropdown-icon[has-icon='false'] {
    display: none;
}

/* end SIDE PANEL */
/* 
*
* End Mega-menu Widget
*
*/
/* FOOTER */
/* Link list Widget */
.stretched-link::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    content: "";
}

.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:hover .elementor-link-list-icon-opened i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:hover .elementor-link-list-icon-closed i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:focus .elementor-link-list-icon-opened i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:focus .elementor-link-list-icon-closed i {
    color: var(--link-list-dropdown-indicator-color-hover);
}

.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse[aria-expanded=true] .elementor-link-list-icon-opened i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse[aria-expanded=true] .elementor-link-list-icon-closed i {
    color: var(--link-list-dropdown-indicator-color-active);
}

.elementor-widget-link-list.elementor-align-left .elementor-link-list__parent-link__wrapper {
    justify-content: flex-start;
}

.elementor-widget-link-list.elementor-align-center .elementor-link-list__parent-link__wrapper {
    justify-content: center;
}

.elementor-widget-link-list.elementor-align-right .elementor-link-list__parent-link__wrapper {
    justify-content: flex-end;
}

@media (max-width: 1024px) {
    .elementor-widget-link-list.elementor-tablet-align-left .elementor-link-list__parent-link__wrapper {
        justify-content: flex-start;
    }

    .elementor-widget-link-list.elementor-tablet-align-center .elementor-link-list__parent-link__wrapper {
        justify-content: center;
    }

    .elementor-widget-link-list.elementor-tablet-align-right .elementor-link-list__parent-link__wrapper {
        justify-content: flex-end;
    }
}

@media (max-width: 767.98px) {
    .elementor-widget-link-list.elementor-mobile-align-left .elementor-link-list__parent-link__wrapper {
        justify-content: flex-start;
    }

    .elementor-widget-link-list.elementor-mobile-align-center .elementor-link-list__parent-link__wrapper {
        justify-content: center;
    }

    .elementor-widget-link-list.elementor-mobile-align-right .elementor-link-list__parent-link__wrapper {
        justify-content: flex-end;
    }
}

.elementor-link-list .elementor-link-list__parent-link__wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.elementor-link-list .elementor-link-list__parent-link__wrapper:last-child {
    margin-bottom: 0;
}

.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse {
    margin-left: auto;
    display: none;
    align-items: center;
    justify-content: center;
    line-height: 1;
}

.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse .elementor-link-list-icon-opened i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse .elementor-link-list-icon-closed i {
    color: var(--link-list-dropdown-indicator-color-normal);
    font-size: var(--n-menu-dropdown-indicator-size);
    transform: var(--n-menu-dropdown-indicator-rotate);
}

.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:hover .elementor-link-list-icon-opened i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:hover .elementor-link-list-icon-closed i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:focus .elementor-link-list-icon-opened i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse:focus .elementor-link-list-icon-closed i {
    color: var(--link-list-dropdown-indicator-color-hover);
}

.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse[aria-expanded=true] .elementor-link-list-icon-opened i,
.elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse[aria-expanded=true] .elementor-link-list-icon-closed i {
    color: var(--link-list-dropdown-indicator-color-active);
}

.elementor-link-list .elementor-link-list__parent-link {
    display: inline-block;
}

.elementor-link-list__list__wrapper.collapsed {
    overflow: hidden;
    max-height: 0;
    transition: max-height .35s ease;
    display: block;
}

.elementor-link-list__list__wrapper.collapsed.is-open {
    max-height: 1000px;
    display: block;
}

.elementor-link-list__list__wrapper a {
    background: linear-gradient(to right, currentColor, currentColor) 0 100% / 0 1px no-repeat;
    background-position-x: var(--transform-origin-end);
    text-decoration: none;
    transition: background-size .2s ease-in-out;
}

@media screen and (pointer: fine) {
    :is(.elementor-link-list__list__wrapper a):hover {
        background-size: 100% 1px;
        background-position-x: var(--transform-origin-start);
    }
}

.elementor-link-list .elementor-link-list__list {
    list-style: none;
    padding-left: 0;
    margin-bottom: 0;
    display: flex;
    flex-direction: column;
}

@media (min-width: 768px) {
    .elementor-link-list .elementor-link-list__list__wrapper.collapsed {
        display: block;
        max-height: unset;
        overflow: initial;
    }
}

@media (max-width: 767.98px) {
    .elementor-link-list .elementor-link-list__parent-link__wrapper {
        background: linear-gradient(to right, currentColor, currentColor) 0 100% / 0 1px no-repeat;
        background-position-x: var(--transform-origin-end);
        text-decoration: none;
        transition: background-size .2s ease-in-out;
    }

    @media screen and (pointer: fine) {
        :is(.elementor-link-list .elementor-link-list__parent-link__wrapper):hover {
            background-size: 100% 1px;
            background-position-x: var(--transform-origin-start);
        }
    }
}

.elementor-link-list .elementor-link-list__list .elementor-link-list__child-link {
    display: inline;
}

.elementor-link-list .elementor-link-list__list li:last-child .elementor-link-list__child-link {
    margin-bottom: 0;
}

@media (max-width: 767.98px) {
    .elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse {
        display: inline-flex;
    }

    .elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse[aria-expanded=false] .elementor-link-list-icon-opened {
        display: none;
    }

    .elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__collapse[aria-expanded=true] .elementor-link-list-icon-closed {
        display: none;
    }

    .elementor-link-list .elementor-link-list__parent-link__wrapper .elementor-link-list__parent-link__btn {
        display: none;
    }
}

/* END Link List Widget */

/* Newsletter form */
@media screen and (pointer: fine) {
    footer .elementor-form .elementor-button[type="submit"] {
        overflow: hidden;
        position: relative;
    }

    footer .elementor-form .elementor-button[type="submit"]:after {
        --glowing-shape-width: min(40px, 60%);
        content: "";
        right: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        clip-path: polygon(calc(var(--glowing-shape-width) * .25) 0%, var(--glowing-shape-width) 0%, calc(var(--glowing-shape-width) * .75) 100%, 0% 100%);
        background-color: rgb(36 36 36 / .1);
        transform: translate(calc(-1 * var(--glowing-shape-width)));
        transition: transform .55s cubic-bezier(.19, 1, .22, 1);
        position: absolute;
        top: 0;
    }

    footer .elementor-form .elementor-button[type="submit"]:hover:after {
        transform: translate(100%);
    }
}

footer .elementor-form {
    --input-padding-block: 0.9375rem;
    --text-color: 255 255 255;
    --input-text-color: 255 255 255;
    --has-transparent-background: 0;
    --transform-origin-start: left;
    --input-padding-inline: 1.125rem;
}

footer .elementor-form .elementor-field-group input {
    padding-block: calc(1.6 * var(--input-padding-block)) calc(.4 * var(--input-padding-block));
}

footer .elementor-form .elementor-field-group .elementor-field-label {
    pointer-events: none;
    height: 100%;
    padding-block: var(--input-padding-block);
    z-index: 1;
    color: rgb(var(--input-text-color, var(--text-color)) / calc(var(--has-transparent-background, 0) * .3 + .7));
    transform-origin: var(--transform-origin-start) top;
    pointer-events: none;
    border: 1px solid #0000;
    transition: transform .15s ease-in-out;
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: var(--input-padding-inline);
}

footer .elementor-form .elementor-field-group:has(input:focus) .elementor-field-label {
    transform: scale(.65) translateY(calc(-.4 * var(--input-padding-block)));
}

@media (max-width: 767.98px) {
    footer .elementor-form .elementor-field-group input {
        max-height: 48px;
    }

    footer .elementor-form .elementor-button[type="submit"] {
        max-height: 34px;
        min-height: 34px;
    }
}

/* END FOOTER */